%define	major 1
%define libname %mklibname dnet %{major}
%define develname %mklibname dnet -d

Summary:	Portable interface to several low-level networking routines
Name:		libdnet
Version:	1.12
Release:	%mkrel 3
License:	BSD
Group:		System/Libraries
URL:		http://code.google.com/p/libdnet/
Source0:	http://libdnet.googlecode.com/files/%{name}-%{version}.tar.xz
Patch0:		libdnet-1.11-lib_version_fix.diff
Patch4:		libdnet-1.10-nmap2.diff
Patch5:		libdnet-1.12-automake-1.13.patch
BuildRequires:	python-devel
BuildRequires:	python-pyrex
BuildRequires:	multiarch-utils >= 1.0.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:  	%name < %version

%description
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	python-dnet
Summary:	Python bindings for dnet
Group:		Development/Python
Requires:	python

%description -n	python-dnet
This module provides a simplified interface to several low-level
networking routines, including network address manipulation, kernel
arp(4) cache and route(4) table lookup and manipulation, network
firewalling, network interface lookup and manipulation, and raw IP
packet and Ethernet frame transmission.

%package -n	%{libname}
Summary:	Portable interface to several low-level networking routines
Group:          System/Libraries
License:	BSD
Obsoletes:	%{name}
Provides:	%{name}

%description -n	%{libname}
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	%{libname}-utils
Summary:	A simple test program for the %{libname} library
Group:          System/Libraries
License:	BSD
Obsoletes:	%{name}-utils < %{version}-%{release}
Provides:	%{name}-utils = %{version}-%{release}

%description -n	%{libname}-utils
Provides a simple test program for the %{libname} library.

%package -n	%{develname}
Summary:	Static library and header files for the %{libname} library
Group:		Development/C
License: 	BSD
Provides:       dnet-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	%{mklibname dnet 1 -d} = %{version}-%{release}
Obsoletes:	%{mklibname dnet 1 -d} < %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0
%patch4 -p0
%patch5 -p1 -b .automake-1_13

%build
autoreconf -vfi -Iconfig
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

pushd python
    python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}
popd

%multiarch_binaries %{buildroot}%{_bindir}/dnet-config

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n python-dnet
%defattr(-,root,root)
%{py_platsitedir}/dnet.so
%{py_platsitedir}/*.egg-info

%files -n %{libname}
%defattr(-,root,root)
%doc README THANKS TODO
%{_libdir}/*.so.*

%files -n %{libname}-utils
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*

%files -n %{develname}
%defattr(-,root,root)
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/dnet-config
%endif
%{_bindir}/dnet-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*


%changelog
* Sat Nov 12 2016 adrianomorselli <adrianomorselli> 1.12-3uplos2016
- rebuild

* Wed May 25 2016 bb <bb> 1.12-3pclos2016
- rebuild for 2016

* Sat Sep 04 2010 Texstar <texstar at gmail.com> 1.12-2pclos2010
- rebuild

* Wed Oct 28 2009 johnnyblack <johnnyblack at inbox.com> 1.12-1pclos2010
- gcc update
- 1.12

